### Method

# Ide PipelineStage set_log_observer

#### Declaration

    void
    ide_pipeline_stage_set_log_observer (
      IdePipelineStage* self,
      IdeBuildLogObserver observer,
      gpointer observer_data,
      GDestroyNotify observer_data_destroy
    )

#### Description

Sets the log observer to handle calls to the various stage logging functions. This will be set by the pipeline to mux logs from all stages into a unified build log.

Plugins that need to handle logging from a build stage should set an observer on the pipeline so that log distribution may be fanned out to all observers.

Available since: | 3.32

#### Parameters

`observer` | `IdeBuildLogObserver`
| The observer for the log entries.
`observer_data` | `gpointer`
| Data for `observer`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`observer_data_destroy` | `GDestroyNotify`
| Destroy callback for `observer_data`.